Name: kover
Summary: WYSIWYG CD cover printer with CDDB support
Version: 3
Release: 3
License: GPL
Group: Applications/Publishing
Source0 http://lisas.de/kover/kover-3.tar.bz2
URL: http://lisas.de/kover/
Patch: kover-3-gcc43.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gettext, zlib-devel, qt-devel >= 1:3.0.3
BuildRequires: libjpeg-devel, kdelibs3-devel, arts-devel, desktop-file-utils
BuildRequires: libart_lgpl-devel, libpng-devel, libcdio-devel, libcddb-devel

%description
Kover is an easy to use WYSIWYG CD cover printer with CDDB support.

%prep
%setup -q
%patch -p1

%build
[ -z "$QTDIR" ] && . /etc/profile.d/qt.sh
%configure --with-xinerama --disable-rpath
%{__make} %{?_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__mkdir_p} %{buildroot}%{_datadir}/applications
desktop-file-install --vendor fedora --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category Utility \
  --add-category AudioVideo \
  %{buildroot}%{_datadir}/applnk/Multimedia/%{name}.desktop

%{__rm} -rf %{buildroot}%{_datadir}/applnk

%{__install} -p -D %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png \
	%{buildroot}%{_datadir}/icons/hicolor/48x48/mimetypes/application-x-%{name}.png

%find_lang %{name}

%post
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README COPYING TODO NEWS THANKS ChangeLog
%{_datadir}/apps/kover/koverui.rc
%{_datadir}/icons/*/*/*/*
%dir %{_datadir}/apps/kover
%dir %{_datadir}/apps/kover/pics
%{_datadir}/apps/kover/pics/*
%{_datadir}/mime/packages/*
%{_mandir}/man1/*
%{_datadir}/applications/*
%attr(755,root,root)%{_bindir}/kover

%changelog
* Mon Feb 11 2008 Adrian Reber <adrian@lisas.de> - 3-3
- rebuilt for gcc43 and kde

* Thu Aug 23 2007 Adrian Reber <adrian@lisas.de> - 3-2
- rebuilt

* Fri Jul 06 2007 Adrian Reber <adrian@lisas.de> - 3-1
- updated to 3
- handle icons and mimetype
- added libcdio-devel and libcddb-devel as BR

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 2.9.6-8
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 18 2006 Adrian Reber <adrian@lisas.de> - 2.9.6-7
- rebuilt

* Mon Jul 24 2006 Adrian Reber <adrian@lisas.de> - 2.9.6-6
- disable -ansi to make it build with the newest kernel headers

* Sun Mar 12 2006 Adrian Reber <adrian@lisas.de> - 2.9.6-5
- rebuilt

* Sun Feb 12 2006 Adrian Reber <adrian@lisas.de> - 2.9.6-4
- rebuilt

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 2.9.6-3
- rebuild on all arches

* Tue Mar 29 2005 Adrian Reber <adrian@lisas.de> - 0:2.9.6-2
- add --disable-rpath to configure

* Sun Feb 13 2005 Adrian Reber <adrian@lisas.de> - 0:2.9.6-1
- updated to 2.9.6 to hopefully fix x86_64 build

* Thu May 01 2003 Adrian Reber <adrian@lisas.de> - 0:2.9.3-0.fdr.7
- added "Application" to desktop-file-install
- removed "KDE" from desktop-file-install
- changed "Multimedia" to "AudioVideo" at desktop-file-install

* Thu May 01 2003 Adrian Reber <adrian@lisas.de> - 0:2.9.3-0.fdr.6
- removed the INSTALL file from package and added the NEWS file

* Sat Apr 26 2003 Adrian Reber <adrian@lisas.de> - 0:2.9.3-0.fdr.5
- added the directories %%{_datadir}/apps/kover and
  %%{_datadir}/apps/kover/pics to the file list

* Wed Apr 23 2003 Adrian Reber <adrian@lisas.de> - 0:2.9.3-0.fdr.4
- added %%{?_smp_mflags}
- added --with-xinerama
- moved QTDIR and configure from prep to build
- changed X-Red-Hat-Extra to X-Fedora
- added %%{release} to BuildRoot

* Mon Mar 10 2003 Adrian Reber <adrian@lisas.de>
 - Changed Copyright: to License:

* Sun Nov 18 2001 Adrian Reber <adrian@lisas.de>
 - Included mime type

* Fri Jun 22 2001 Adrian Reber <adrian@lisas.de>
 - Integrated spec file in autoconf

* Fri May 11 2001 Adrian Reber <adrian@lisas.de>
 - Updated to kover 0.6

* Fri May 11 2001 Adrian Reber <adrian@lisas.de>
 - Initial release of kover-0.5 rpm
